## ldns 1.6.10

=== contrib/python/Makefile ===
# Makefile: compilation of sources and documentation, test environment
#
# Copyright (c) 2009, Zdenek Vasicek (vasicek AT fit.vutbr.cz)
#                     Karel Slany    (slany AT fit.vutbr.cz)
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
# 
#     * Redistributions of source code must retain the above copyright notice,
#       this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of the organization nor the names of its
#       contributors may be used to endorse or promote products derived from this
#       software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  testenv   to make test environment and run bash "
	@echo "            usefull in case you don't want to install ldns but want to test examples"
	@echo "  doc       to make documentation"
	@echo "  clean     clean all"

../../Makefile: ../../configure
	cd ../.. && ./configure --with-python
	
_ldns.so:	../../Makefile
	$(MAKE) -C ../..

../../.libs/ldns.so.1:	../../Makefile
	$(MAKE) -C ../..

clean:
	rm -rdf examples/ldns
	rm -f _ldns.so ldns_wrapper.o
	$(MAKE) -C ../.. clean

testenv: ../../.libs/libldns.so.1 _ldns.so
	rm -rdf examples/ldns
	cd examples && mkdir ldns && ln -s ../../ldns.py ldns/__init__.py && ln -s ../../_ldns.so ldns/_ldns.so && ln -s ../../../../.libs/libldns.so.1 ldns/libldns.so.1 && ls -la
	@echo "Run a script by typing ./script_name.py"
	cd examples && LD_LIBRARY_PATH=ldns bash
	rm -rdf examples/ldns

doc: ../../.libs/ldns.so.1 _ldns.so
	$(MAKE) -C docs html

#for development only
swig: ldns.i
	swig -python -o ldns_wrapper.c -I../.. ldns.i
	gcc -c ldns_wrapper.c -O9 -fPIC -I../.. -I../../ldns -I/usr/local/include/python2.6 -I. -o ldns_wrapper.o
	ld -shared ldns_wrapper.o -L../../.libs -lldns -o _ldns.so

## ldns 1.6.4

=== debian/changelog ===
ldns (1.6.4-5) unstable; urgency=low

  * allow installing with just one version of python (Closes: #583350)
  * add explicit call to python-support and quilt from debhelper

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Mar 2010 17:01:28 +0100

ldns (1.6.4-4) unstable; urgency=low

  * Add support for all python versions (Closes: #571494)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 01 Mar 2010 13:29:06 +0100

ldns (1.6.4-3) unstable; urgency=low

  * Disable building with binutils-gold

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Feb 2010 14:51:07 +0100

ldns (1.6.4-2) unstable; urgency=low

  * Don't uselessly link to all libraries around

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Jan 2010 22:33:05 +0100

ldns (1.6.4-1) unstable; urgency=low
   
  * New Upstream version 1.6.4
  * Bump standards version to 3.8.3
  * Enable pyldns bindings (python-pyldns package)
  * Use DESTDIR= instead of prefix= when doing 'make install'
  * Don't uselessly link to all libraries around

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Jan 2010 11:39:17 +0100

ldns (1.6.1-1) unstable; urgency=low

  * New Upstream Version

 -- Ondřej Surý <ondrej@debian.org>  Sat, 24 Oct 2009 11:14:17 +0200

ldns (1.6.0-1) unstable; urgency=low

  * New Upstream Version

 -- Ondřej Surý <ondrej@debian.org>  Thu, 30 Jul 2009 21:31:34 +0200

ldns (1.5.1-1) unstable; urgency=low

  * New upstream release.
  * Merged upstream:
    - debian/patches/01_put_ldns_library_check_to_bottom.dpatch
    - debian/patches/02_buffer_overflow_in_rr.c.dpatch

 -- Ondřej Surý <ondrej@debian.org>  Tue, 03 Mar 2009 11:53:42 +0100

ldns (1.4.0-2) unstable; urgency=low

  * Make dh_makeshlibs call versioned.
  * Cherry pick possible buffer overflow in rr.c from 1.5.x branch.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 10 Feb 2009 17:05:45 +0100

ldns (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Merged upstream:
    - debian/patches/01_ldns-1.3.0.ldns-new-dnssec-tools.dpatch
    - debian/patches/02_ldns-1.3.0.ldns-read-zone.dpatch
    - debian/patches/03_ldns-1.3.0_hex_can_contain_space.dpatch
    - debian/patches/04_ldns-1.3.0_ldns-compare-zones.dpatch

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Nov 2008 20:33:14 +0100

ldns (1.3.0-6) unstable; urgency=low

  * Various improvements and fixes for ldns-compare-zones
    - Change opt_* from int to bool
    - Fix double zones read
    - Canonicalize and sort zones before comparing (can be disabled
      by -z)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 30 Sep 2008 16:52:22 +0200

ldns (1.3.0-5) unstable; urgency=low

  * Reverse read order of zones to keep SOA of first zone in output

 -- Ondřej Surý <ondrej@debian.org>  Sun, 07 Sep 2008 00:58:00 +0200

ldns (1.3.0-4) unstable; urgency=low

  * Must test what I write.  Fix double free in ldns-merge-dnssec.

 -- Ondřej Surý <ondrej@debian.org>  Sat, 06 Sep 2008 14:56:24 +0200

ldns (1.3.0-3) unstable; urgency=low

  * Build ldns-merge-dnssec as well
  * Fix bunch of lintian warnings.

 -- Ondřej Surý <ondrej@debian.org>  Sat, 06 Sep 2008 14:25:27 +0200

ldns (1.3.0-2) unstable; urgency=low

  * debian/patches/01_ldns-1.3.0.ldns-new-dnssec-tools.dpatch:
    - Add two new DNSSEC related tools
  * 02_ldns-1.3.0.ldns-read-zone.dpatch:
    - Small fixups for ldns-read-zone

 -- Ondřej Surý <ondrej@debian.org>  Sat, 06 Sep 2008 13:49:04 +0200

ldns (1.3.0-1) unstable; urgency=low

  * New upstream release (final 1.3.0).

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Jun 2008 17:38:34 +0200

ldns (1.2.99.pre.1.3.0.20080528-1) unstable; urgency=low

  * New upstream release candidate.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 28 May 2008 12:10:07 +0200

ldns (1.2.99.pre.1.3.0.20080229-2) unstable; urgency=low

  * Add correct dependencies for libldns-dev ... again
    (Closes: #454905)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 May 2008 22:16:38 +0200

ldns (1.2.99.pre.1.3.0.20080229-1) unstable; urgency=low

  * New upstream pre-release, stolen from unbound.
  * Library soname finally sane.
  * Upload to unstable to prepare for unbound upload.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 08 May 2008 11:27:38 +0200

ldns (1.2.99.pre.1.3.0.20080114-1) experimental; urgency=low

  * New upstream pre-release.
  * patches/03_doxygen.pl.dpatch:
    - removed, merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Feb 2008 17:23:29 +0100

ldns (1.2.99.pre.1.3.0.20071102-1) experimental; urgency=low

  * New upstream pre-release.
  * Release only to experimental.
  * patches/02_dname-off-by-one.dpatch,
    patches/05_ldns-compare-zones.dpatch:
    - removed, merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Fri, 16 Nov 2007 10:12:05 +0100

ldns (1.2.1-2) unstable; urgency=low

  * patches/05_ldns-compare-zones.dpatch:
    - add ldns-compare-zones tool
  * debian/control:
    - build depend on libpcap-dev to allow ldns-dpa build
    - build depend on doxygen to allow documentation build (Closes: #451470)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 16 Nov 2007 09:41:29 +0100

ldns (1.2.1-1) unstable; urgency=low

  * Initial release (Closes: #348970)
  * patches/01_doxygen-u.dpatch:
    - update doxygen configuration
  * patches/02_dname-off-by-one.dpatch:
    - Fix ldns_dname_compare
  * patches/03_doxygen.pl.dpatch:
    - Fix man section in generated man pages
  * patches/04_examples-man-pages.dpatch:
    - Fix some errors in man pages of examples

 -- Ondřej Surý <ondrej@debian.org>  Thu, 11 Oct 2007 13:40:14 +0200

=== debian/control ===
Source: ldns
Priority: extra
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: quilt (>= 0.46-7~),
	       debhelper (>= 7.0.50~),
	       autotools-dev,
	       libssl-dev,
	       libtool,
	       libpcap-dev,
	       doxygen,
	       python-all-dev,
	       swig,
	       python-support,
	       hardening-wrapper,
	       chrpath,
	       autoconf,
	       automake
XS-Python-Version: >= 2.5
Standards-Version: 3.8.4
Section: net

Package: libldns1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains shared libraries.

Package: libldns-dev
Section: libdevel
Architecture: any
Depends: libldns1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains development libraries and headers.

Package: ldnsutils
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains various client programs related to DNS that are
 based on top of libldns library and DRILL tool which is similar to dig.
 These tools were designed with DNSSEC in mind and are useful for DNS
 and DNSSEC testing and debugging.

Package: python-ldns
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for the ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This archive contains modules that allow you to use LDNS Library in
 Python programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1 

PYVERS=$(shell pyversions -vs)

%:
	dh --with quilt --with python-support ${@}

override_dh_auto_clean:
	ln -sf ../debian examples/
	ln -sf ../debian drill/

	(cd $(CURDIR); dh_auto_clean;)
	(cd $(CURDIR)/examples; dh_auto_clean;)
	(cd $(CURDIR)/drill; dh_auto_clean;)

	if test -f debian/config.sub; then \
		mv debian/config.sub config.sub ; \
	fi
	if test -f debian/config.guess; then \
		mv debian/config.guess config.guess ; \
	fi

	rm -f config.log
	rm -f examples/config.sub examples/config.guess examples/config.log
	rm -f drill/config.sub drill/config.guess drill/config.log

	rm -f examples/debian drill/debian

override_dh_auto_configure:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp config.sub debian/config.sub
	cp -f /usr/share/misc/config.sub config.sub
	cp -f /usr/share/misc/config.sub examples/config.sub
	cp -f /usr/share/misc/config.sub drill/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp config.guess debian/config.guess
	cp -f /usr/share/misc/config.guess config.guess
	cp -f /usr/share/misc/config.guess examples/config.guess
	cp -f /usr/share/misc/config.guess drill/config.guess
endif
	ln -sf ../debian examples/
	ln -sf ../debian drill/

	autoreconf -fi
	DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -- --disable-rpath --disable-gost --without-pyldns;
	$(MAKE) copy-headers;
	for v in $(PYVERS); do \
	  DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -Bbuild-python$$v -- --disable-rpath --disable-gost --with-pyldns; \
	  dh_auto_build -Bbuild-python$$v -- copy-headers; \
	done

	(cd $(CURDIR)/examples; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath;)
	(cd $(CURDIR)/drill; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath;)

override_dh_auto_build:
	DEB_BUILD_HARDENING=1 dh_auto_build;

	for v in $(PYVERS); do \
	  ln -s $(CURDIR)/libldns.la build-python$$v; \
	  mkdir build-python$$v/.libs/; \
          ln -s $(CURDIR)/.libs/libldns.la* $(CURDIR)/.libs/libldns.so* $(CURDIR)/.libs/libldns.a build-python$$v/.libs/; \
	done

	for v in $(PYVERS); do \
	  DEB_BUILD_HARDENING=1 dh_auto_build -Bbuild-python$$v -- _ldns.la; \
	done

	(cd $(CURDIR)/examples; DEB_BUILD_HARDENING=1 dh_auto_build;)

	(cd $(CURDIR)/drill; DEB_BUILD_HARDENING=1 dh_auto_build;)

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp;

	for v in $(PYVERS); do \
	  PYTHON_DIR=$$(python$$v -c "import distutils.sysconfig; print distutils.sysconfig.get_python_lib(0,0);"); \
	  make -C build-python$$v install-pyldns DESTDIR=$(CURDIR)/debian/tmp install-pyldns; \
	  rm $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.la; \
	  install -s -m 0644 -T $(CURDIR)/build-python$$v/.libs/_ldns.so.1.* $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.so; \
	  chrpath -d $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.so; \
	done

	(cd $(CURDIR)/examples; dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp;)
	(cd $(CURDIR)/drill; dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp;)

## ldns 1.6.6

=== debian/changelog ===
ldns (1.6.6-1) unstable; urgency=low

  * New upstream release
  * Add Changelog to debian/docs (Closes: #592437)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 12 Aug 2010 13:06:10 +0200

ldns (1.6.5-1) unstable; urgency=low

  * New upstream release
  * Fix _ldns.so install command

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 Aug 2010 16:08:00 +0200

ldns (1.6.5~rc1-1) unstable; urgency=low

  * New upstream RC release
  * Updated patches to 1.6.5rc1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 07 Jun 2010 20:23:13 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	       autoconf,
 	       automake
 XS-Python-Version: >= 2.5
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Section: net
 
 Package: libldns1

=== debian/rules ===
--- 
+++ 
@@ -82,8 +82,8 @@
 	for v in $(PYVERS); do \
 	  PYTHON_DIR=$$(python$$v -c "import distutils.sysconfig; print distutils.sysconfig.get_python_lib(0,0);"); \
 	  make -C build-python$$v install-pyldns DESTDIR=$(CURDIR)/debian/tmp install-pyldns; \
-	  rm $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.la; \
-	  install -s -m 0644 -T $(CURDIR)/build-python$$v/.libs/_ldns.so.1.* $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.so; \
+	  rm -f $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.la; \
+	  install -s -m 0644 -T $(CURDIR)/build-python$$v/.libs/$$(readlink $(CURDIR)/build-python$$v/.libs/_ldns.so) $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.so; \
 	  chrpath -d $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.so; \
 	done

## ldns 1.6.9

=== debian/changelog ===
ldns (1.6.9-2) unstable; urgency=low

  * Don't perform checks, because upstream target test is broken
  * Enable GOST algorithm (Closes: #620598)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 03 Apr 2011 12:07:36 +0200

ldns (1.6.9-1) unstable; urgency=low

  * Imported Upstream version 1.6.9

 -- Ondřej Surý <ondrej@debian.org>  Fri, 18 Mar 2011 13:48:47 +0100

ldns (1.6.8-1) unstable; urgency=low

  * Imported Upstream version 1.6.8

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Jan 2011 15:50:09 +0100

ldns (1.6.7-1) unstable; urgency=low

  * New upstream release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 14 Jan 2011 12:13:33 +0100

ldns (1.6.6-2) unstable; urgency=high

  * Install ldns.py into python-ldns package (Closes: #609955)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 14 Jan 2011 10:53:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: quilt (>= 0.46-7~),
 	       debhelper (>= 7.0.50~),
 	       autotools-dev,
-	       libssl-dev,
+	       libssl-dev (>= 1.0.0),
 	       libtool,
 	       libpcap-dev,
 	       doxygen,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_OPTIONS=nocheck
 
 export DEB_BUILD_HARDENING=1 
 
@@ -49,15 +51,15 @@
 	ln -sf ../debian drill/
 
 	autoreconf -fi
-	DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -- --disable-rpath --disable-gost --without-pyldns;
+	DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -- --disable-rpath --enable-gost --without-pyldns;
 	$(MAKE) copy-headers;
 	for v in $(PYVERS); do \
-	  DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -Bbuild-python$$v -- --disable-rpath --disable-gost --with-pyldns; \
+	  DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -Bbuild-python$$v -- --disable-rpath --enable-gost --with-pyldns; \
 	  dh_auto_build -Bbuild-python$$v -- copy-headers; \
 	done
 
-	(cd $(CURDIR)/examples; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath;)
-	(cd $(CURDIR)/drill; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath;)
+	(cd $(CURDIR)/examples; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath --enable-gost;)
+	(cd $(CURDIR)/drill; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath --enable-gost;)
 
 override_dh_auto_build:
 	DEB_BUILD_HARDENING=1 dh_auto_build;
@@ -81,10 +83,9 @@
 
 	for v in $(PYVERS); do \
 	  PYTHON_DIR=$$(python$$v -c "import distutils.sysconfig; print distutils.sysconfig.get_python_lib(0,0);"); \
-	  make -C build-python$$v install-pyldns DESTDIR=$(CURDIR)/debian/tmp install-pyldns; \
-	  rm -f $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.la; \
-	  install -s -m 0644 -T $(CURDIR)/build-python$$v/.libs/$$(readlink $(CURDIR)/build-python$$v/.libs/_ldns.so) $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.so; \
-	  chrpath -d $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.so; \
+	  make -C build-python$$v DESTDIR=$(CURDIR)/debian/tmp install-pyldns; \
+	  mv $(CURDIR)/debian/tmp$${PYTHON_DIR}/$$(readlink $(CURDIR)/debian/tmp$${PYTHON_DIR}/_ldns.so) $(CURDIR)/debian/tmp$${PYTHON_DIR}/_ldns.so; \
+	  chrpath -d $(CURDIR)/debian/tmp$${PYTHON_DIR}/_ldns.so; \
 	done
 
 	(cd $(CURDIR)/examples; dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp;)

## ldns 1.6.10

=== debian/changelog ===
ldns (1.6.10-1) unstable; urgency=low

  * Link libtool to current directory in the clean target if not found
    (Closes: #623320)
  * Update Vcs-* links
  * Imported Upstream version 1.6.10

 -- Ondřej Surý <ondrej@debian.org>  Tue, 31 May 2011 15:54:59 +0200

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,10 @@
 	       autoconf,
 	       automake
 XS-Python-Version: >= 2.5
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Section: net
+Vcs-Browser: http://git.debian.org/?p=pkg-nlnetlabs/ldns.git
+Vcs-Git: git://git.debian.org/pkg-nlnetlabs/ldns.git
 
 Package: libldns1
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	ln -sf ../debian examples/
 	ln -sf ../debian drill/
 
+	[ -e $(CURDIR)/libtool ] || ln -s /usr/bin/libtool
 	(cd $(CURDIR); dh_auto_clean;)
 	(cd $(CURDIR)/examples; dh_auto_clean;)
 	(cd $(CURDIR)/drill; dh_auto_clean;)
@@ -31,7 +32,7 @@
 	rm -f config.log
 	rm -f examples/config.sub examples/config.guess examples/config.log
 	rm -f drill/config.sub drill/config.guess drill/config.log
-
+	rm -f libtool
 	rm -f examples/debian drill/debian
 
 override_dh_auto_configure:

## ldns 1.6.11

=== debian/changelog ===
ldns (1.6.11-1) unstable; urgency=low

  * Conditionally enable GOST algorithm support based on OpenSSL version
  * Make GOST symbols optional to allow easy backporting
  * Imported Upstream version 1.6.11
  * Update patches to the new release
  * Update libldns1 symbols (and make GOST symbols mandatory again, it
    will break ABI if they are missing)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 29 Sep 2011 17:38:20 +0200

ldns (1.6.10-2) unstable; urgency=low

  * Add dependency on libssl-dev to libldns-dev (Closes: #629888)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 09 Jun 2011 11:20:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: quilt (>= 0.46-7~),
 	       debhelper (>= 7.0.50~),
 	       autotools-dev,
-	       libssl-dev (>= 1.0.0),
+	       libssl-dev,
 	       libtool,
 	       libpcap-dev,
 	       doxygen,
@@ -14,7 +14,8 @@
 	       hardening-wrapper,
 	       chrpath,
 	       autoconf,
-	       automake
+	       automake,
+	       pkg-config
 XS-Python-Version: >= 2.5
 Standards-Version: 3.9.2
 Section: net
@@ -36,7 +37,10 @@
 Package: libldns-dev
 Section: libdevel
 Architecture: any
-Depends: libldns1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libldns1 (= ${binary:Version}),
+	 ${shlibs:Depends},
+	 ${misc:Depends},
+	 libssl-dev
 Description: ldns library for DNS programming
  The goal of ldns is to simplify DNS programming, it supports recent RFCs
  like the DNSSEC documents, and allows developers to easily create software

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 export DEB_BUILD_HARDENING=1 
 
 PYVERS=$(shell pyversions -vs)
+
+OPENSSLVER=$(shell pkg-config --modversion libssl)
+
+BUILD_GOST=$(shell dpkg --compare-versions $(OPENSSLVER) gt 1.0.0 && echo "--enable-gost" || echo "--disable-gost")
 
 %:
 	dh --with quilt --with python-support ${@}
@@ -52,15 +56,15 @@
 	ln -sf ../debian drill/
 
 	autoreconf -fi
-	DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -- --disable-rpath --enable-gost --without-pyldns;
+	DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -- --disable-rpath $(BUILD_GOST) --without-pyldns;
 	$(MAKE) copy-headers;
 	for v in $(PYVERS); do \
-	  DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -Bbuild-python$$v -- --disable-rpath --enable-gost --with-pyldns; \
+	  DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -Bbuild-python$$v -- --disable-rpath $(BUILD_GOST) --with-pyldns; \
 	  dh_auto_build -Bbuild-python$$v -- copy-headers; \
 	done
 
-	(cd $(CURDIR)/examples; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath --enable-gost;)
-	(cd $(CURDIR)/drill; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath --enable-gost;)
+	(cd $(CURDIR)/examples; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath $(BUILD_GOST);)
+	(cd $(CURDIR)/drill; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath $(BUILD_GOST);)
 
 override_dh_auto_build:
 	DEB_BUILD_HARDENING=1 dh_auto_build;

## ldns 1.6.12

=== debian/changelog ===
ldns (1.6.12-2) unstable; urgency=low

  [ Robert S. Edmonds ]
  * debian/: add libldns1-dbg debugging symbol package

 -- Ondřej Surý <ondrej@debian.org>  Mon, 26 Mar 2012 13:56:03 +0200

ldns (1.6.12-1) unstable; urgency=low

  * Fix brace-expansion-in-debhelper-config-file warning
  * Imported Upstream version 1.6.12
  * Update patch for new release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 16 Jan 2012 15:34:20 +0100

=== debian/rules ===
--- 
+++ 
@@ -18,14 +18,8 @@
 	dh --with quilt --with python-support ${@}
 
 override_dh_auto_clean:
-	ln -sf ../debian examples/
-	ln -sf ../debian drill/
-
 	[ -e $(CURDIR)/libtool ] || ln -s /usr/bin/libtool
-	(cd $(CURDIR); dh_auto_clean;)
-	(cd $(CURDIR)/examples; dh_auto_clean;)
-	(cd $(CURDIR)/drill; dh_auto_clean;)
-
+	dh_auto_clean;
 	if test -f debian/config.sub; then \
 		mv debian/config.sub config.sub ; \
 	fi
@@ -52,19 +46,13 @@
 	cp -f /usr/share/misc/config.guess examples/config.guess
 	cp -f /usr/share/misc/config.guess drill/config.guess
 endif
-	ln -sf ../debian examples/
-	ln -sf ../debian drill/
-
 	autoreconf -fi
-	DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -- --disable-rpath $(BUILD_GOST) --without-pyldns;
-	$(MAKE) copy-headers;
+	DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -- --disable-rpath $(BUILD_GOST) --without-pyldns --with-examples --with-drill;
+	$(MAKE) setup-builddir;
 	for v in $(PYVERS); do \
 	  DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -Bbuild-python$$v -- --disable-rpath $(BUILD_GOST) --with-pyldns; \
-	  dh_auto_build -Bbuild-python$$v -- copy-headers; \
+	  dh_auto_build -Bbuild-python$$v -- setup-builddir; \
 	done
-
-	(cd $(CURDIR)/examples; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath $(BUILD_GOST);)
-	(cd $(CURDIR)/drill; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath $(BUILD_GOST);)
 
 override_dh_auto_build:
 	DEB_BUILD_HARDENING=1 dh_auto_build;
@@ -79,10 +67,6 @@
 	  DEB_BUILD_HARDENING=1 dh_auto_build -Bbuild-python$$v -- _ldns.la; \
 	done
 
-	(cd $(CURDIR)/examples; DEB_BUILD_HARDENING=1 dh_auto_build;)
-
-	(cd $(CURDIR)/drill; DEB_BUILD_HARDENING=1 dh_auto_build;)
-
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp;
 
@@ -93,5 +77,6 @@
 	  chrpath -d $(CURDIR)/debian/tmp$${PYTHON_DIR}/_ldns.so; \
 	done
 
-	(cd $(CURDIR)/examples; dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp;)
-	(cd $(CURDIR)/drill; dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp;)
+override_dh_strip:
+	dh_strip -p libldns1 --dbg-package=libldns1-dbg
+	dh_strip -a --remaining-packages

## ldns 1.6.13

=== contrib/python/Makefile ===
--- 
+++ 
@@ -61,7 +61,7 @@
 
 #for development only
 swig: ldns.i
-	swig -python -o ldns_wrapper.c -I../.. ldns.i
-	gcc -c ldns_wrapper.c -O9 -fPIC -I../.. -I../../ldns -I/usr/local/include/python2.6 -I. -o ldns_wrapper.o
+	swig -python -py3 -o ldns_wrapper.c -I../.. ldns.i
+	gcc -c ldns_wrapper.c -O9 -fPIC -I../.. -I../../ldns -I/usr/include/python3.1 -I. -o ldns_wrapper.o
 	ld -shared ldns_wrapper.o -L../../.libs -lldns -o _ldns.so

=== debian/changelog ===
ldns (1.6.13-1~bpo60+1) squeeze-backports; urgency=low

  * Backport for Debian 6.0

 -- Ondřej Surý <ondrej@debian.org>  Sun, 10 Jun 2012 08:56:58 +0200

ldns (1.6.13-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Removing gost symbols in libldns1 if needed (Closes: #649695)

  [ Ondřej Surý ]
  * Generate symbols file in dh_makeshlibs target
  * Imported Upstream version 1.6.13 (Closes: #674458)
  * Add new symbols introduced in 1.6.13

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 May 2012 09:32:24 +0200

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,20 @@
  Drafts.
  .
  This package contains shared libraries.
+
+Package: libldns1-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: libldns1 (= ${binary:Version}),
+	 ${misc:Depends}
+Description: ldns library for DNS programming (debug symbols)
+ The goal of ldns is to simplify DNS programming, it supports recent RFCs
+ like the DNSSEC documents, and allows developers to easily create software
+ conforming to current RFCs, and experimental software for current Internet
+ Drafts.
+ .
+ This package contains debugging symbols.
 
 Package: libldns-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 		mv debian/config.guess config.guess ; \
 	fi
 
+	rm -f debian/libldns1.symbols
 	rm -f config.log
 	rm -f examples/config.sub examples/config.guess examples/config.log
 	rm -f drill/config.sub drill/config.guess drill/config.log
@@ -80,3 +81,12 @@
 override_dh_strip:
 	dh_strip -p libldns1 --dbg-package=libldns1-dbg
 	dh_strip -a --remaining-packages
+
+override_dh_makeshlibs:
+	if dpkg --compare-versions $(OPENSSLVER) gt 1.0.0; \
+	then \
+		cp -f debian/libldns1.symbols.in debian/libldns1.symbols; \
+	else \
+		grep -v gost debian/libldns1.symbols.in > debian/libldns1.symbols; \
+	fi
+	dh_makeshlibs

## ldns 1.6.16

=== debian/changelog ===
ldns (1.6.16-1~bpo70+1) wheezy; urgency=low

  * Backport for Debian 7.0

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Aug 2013 09:27:25 +0200

ldns (1.6.16-1) unstable; urgency=low

  * New upstream version 1.6.16
  * Update patches for release 1.6.16

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Jul 2013 12:47:56 +0200

ldns (1.6.13-4) unstable; urgency=low

  * Add correct Breaks/Replaces, fix typo and version (Closes: #694468)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 27 Nov 2012 12:05:04 +0100

ldns (1.6.13-3) unstable; urgency=low

  * Also move manual page for ldns-config to libldns-dev package

 -- Ondřej Surý <ondrej@debian.org>  Fri, 07 Sep 2012 14:36:11 +0200

ldns (1.6.13-2) unstable; urgency=low

  * Convert python-ldns package to dh_python2
  * Move ldns-config to /usr/sbin and to libldns-dev where it belongs

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jul 2012 12:43:03 +0200

## ldns 1.6.17

=== contrib/ldnsx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ldnsx.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ldnsx.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== contrib/python/Makefile ===
--- 
+++ 
@@ -28,6 +28,9 @@
 # ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 # POSSIBILITY OF SUCH DAMAGE.
 
+
+.PHONY: help clean testenv test doc te bw bw3 sw sw3
+
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
 	@echo "  testenv   to make test environment and run bash "
@@ -38,30 +41,70 @@
 ../../Makefile: ../../configure
 	cd ../.. && ./configure --with-python
 	
-_ldns.so:	../../Makefile
+_ldns.so: ../../Makefile
 	$(MAKE) -C ../..
 
-../../.libs/ldns.so.1:	../../Makefile
+../../.libs/libldns.so.1:	../../Makefile
 	$(MAKE) -C ../..
 
 clean:
-	rm -rdf examples/ldns
+	rm -rf examples/ldns
 	rm -f _ldns.so ldns_wrapper.o
 	$(MAKE) -C ../.. clean
 
 testenv: ../../.libs/libldns.so.1 _ldns.so
-	rm -rdf examples/ldns
-	cd examples && mkdir ldns && ln -s ../../ldns.py ldns/__init__.py && ln -s ../../_ldns.so ldns/_ldns.so && ln -s ../../../../.libs/libldns.so.1 ldns/libldns.so.1 && ls -la
+	rm -rf examples/ldns
+	cd examples && mkdir ldns && ln -s ../../ldns.py ldns/__init__.py && ln -s ../../../../.libs/_ldns.so ldns/_ldns.so && ln -s ../../../../.libs/libldns.so.1 ldns/libldns.so.1 && ls -la
 	@echo "Run a script by typing ./script_name.py"
 	cd examples && LD_LIBRARY_PATH=ldns bash
-	rm -rdf examples/ldns
+	rm -rf examples/ldns
 
-doc: ../../.libs/ldns.so.1 _ldns.so
+test: ../../.libs/libldns.so.1 _ldns.so examples/test_buffer.py examples/test_rdf.py examples/test_dname.py examples/test_rr.py examples/test_pkt.py examples/test_resolver.py
+	@rm -rf examples/ldns
+	@cd examples && mkdir ldns && ln -s ../../ldns.py ldns/__init__.py && ln -s ../../../../.libs/_ldns.so ldns/_ldns.so && ln -s ../../../../.libs/libldns.so.1 ldns/libldns.so.1
+	@cd examples && LD_LIBRARY_PATH=ldns ./test_buffer.py 2>/dev/null
+	@cd examples && LD_LIBRARY_PATH=ldns ./test_rdf.py 2>/dev/null
+	@cd examples && LD_LIBRARY_PATH=ldns ./test_dname.py 2>/dev/null
+	@cd examples && LD_LIBRARY_PATH=ldns ./test_rr.py 2>/dev/null
+	@cd examples && LD_LIBRARY_PATH=ldns ./test_pkt.py 2>/dev/null
+	@cd examples && LD_LIBRARY_PATH=ldns ./test_resolver.py 2>/dev/null
+	@rm -rf examples/ldns
+
+doc: ../../.libs/libldns.so.1 _ldns.so
+	echo @VERSION_MAJOR@
+	rm -f _ldns.so
+	ln -s ../../.libs/_ldns.so
 	$(MAKE) -C docs html
+	rm -f _ldns.so
 
-#for development only
-swig: ldns.i
-	swig -python -py3 -o ldns_wrapper.c -I../.. ldns.i
-	gcc -c ldns_wrapper.c -O9 -fPIC -I../.. -I../../ldns -I/usr/include/python3.1 -I. -o ldns_wrapper.o
-	ld -shared ldns_wrapper.o -L../../.libs -lldns -o _ldns.so 
+# For development only:
 
+# Test environment, does not build the wrapper from dependencies.
+te:
+	rm -rf examples/ldns
+	cd examples && mkdir ldns && ln -s ../../ldns.py ldns/__init__.py && ln -s ../../../../.libs/_ldns.so ldns/_ldns.so && ln -s ../../../../.libs/libldns.so.1 ldns/libldns.so.1 && ls -la
+	@echo "Run a script by typing ./script_name.py"
+	cd examples && LD_LIBRARY_PATH=ldns bash
+	rm -rf examples/ldns
+
+# Builds Python 2 wrapper from present wrapper C code.
+bw:
+	gcc -c ldns_wrapper.c -O9 -fPIC -I../.. -I../../ldns -I/usr/include/python2.7 -I. -o ldns_wrapper.o
+	mkdir -p ../../.libs
+	ld -shared ldns_wrapper.o -L../../.libs -lldns -o ../../.libs/_ldns.so
+
+# Builds Python 3 wrapper from present wrapper C code.
+bw3:
+	gcc -c ldns_wrapper.c -O9 -fPIC -I../.. -I../../ldns -I/usr/include/python3.2 -I. -o ldns_wrapper.o
+	mkdir -p ../../.libs
+	ld -shared ldns_wrapper.o -L../../.libs -ldns -o ../../.libs/_ldns.so
+
+# Builds Python 2 wrapper from interface file.
+sw: ldns.i
+	swig -python -o ldns_wrapper.c -I../.. ldns.i
+	$(MAKE) bw
+
+# Builds Python 3 wrapper from interface file.
+sw3: ldns.i
+	swig -python -py3 -DPY3 -o ldns_wrapper.c -I../.. ldns.i
+	$(MAKE) bw3

=== debian/changelog ===
ldns (1.6.17-8) unstable; urgency=medium

  [ Robert Edmonds ]
  * Makefile.in: Don't pass CPPFLAGS to swig (Closes: #811230)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Feb 2016 12:21:40 +0100

ldns (1.6.17-7) unstable; urgency=medium

  * Add lintian overrides for slightly errorneous man pages
  * Disable ldns-config distribution; please use pkg-config
  * Add missing dh-python B-D
  * Fix perl error in doxyparse.pl (Closes: #808665)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 23 Dec 2015 11:05:32 +0100

ldns (1.6.17-6) unstable; urgency=medium

  * Update packaging to debhelper compat level 9 and convert libldns to
    MultiArch package
  * Move the package under pkg-dns group umbrella

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Dec 2015 15:24:37 +0100

ldns (1.6.17-5) unstable; urgency=medium

  * Add upstream fix for double free for answers bigger than 4096 bytes
  * Add upstream fix whitespace bug in ldns-read-zone

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Jun 2014 09:45:26 +0200

ldns (1.6.17-4) unstable; urgency=high

  * [CVE-2014-3209]: fix ldns-keygen writing private DNSKEYs with default
    umask (Closes: #746758)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 16 Jun 2014 11:40:18 +0200

ldns (1.6.17-3) unstable; urgency=high

  * Add Breaks for dnssec-trigger as well to allow its backports without
    symbol breakage in libldns1

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jun 2014 14:23:43 +0200

ldns (1.6.17-2) unstable; urgency=high

  * Install libldns.pc into correct location (Closes:  #746614)
  * Add Breaks for opendnssec version that uses strlcpy symbol from ldns
    (Closes: #720702)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jun 2014 13:47:22 +0200

ldns (1.6.17-1) unstable; urgency=low

  * New upstream version 1.6.17
  * Use updated watch file
  * Refresh patches for 1.6.17 release
  * Install libldns.pc to /usr/lib/pkg-config (Closes: #696025)
  * Update symbols file that has removed some internal symbols

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Feb 2014 15:22:50 +0100

=== debian/control ===
Source: ldns
Priority: extra
Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: autotools-dev,
               chrpath,
               debhelper (>= 9),
               dh-autoreconf,
	       dh-python,
               doxygen,
               libpcap-dev,
               libssl-dev,
               pkg-config,
               python-all-dev,
               swig
Standards-Version: 3.9.6.1
Section: net
Vcs-Browser: http://git.debian.org/?p=pkg-dns/ldns.git
Vcs-Git: git://git.debian.org/pkg-dns/ldns.git

Package: libldns1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains shared libraries.

Package: libldns1-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libldns1 (= ${binary:Version}),
         ${misc:Depends}
Description: ldns library for DNS programming (debug symbols)
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains debugging symbols.

Package: libldns-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldns1 (= ${binary:Version}),
         libssl-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains development libraries and headers.

Package: ldnsutils
Section: net
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains various client programs related to DNS that are
 based on top of libldns library and DRILL tool which is similar to dig.
 These tools were designed with DNSSEC in mind and are useful for DNS
 and DNSSEC testing and debugging.

Package: python-ldns
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Multi-Arch: foreign
Description: Python bindings for the ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This archive contains modules that allow you to use LDNS Library in
 Python programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

PYVERS=$(shell pyversions -vd)

%:
	dh $@ --with python2 --with autoreconf --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --enable-gost --with-pyldns --with-examples --with-drill --disable-ldns-config

override_dh_strip:
	dh_strip -p libldns1 --dbg-package=libldns1-dbg
	dh_strip -a --remaining-packages

override_dh_install:
	install -d -m 755 $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
	install -m 644 packaging/libldns.pc $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
	dh_install --fail-missing -X.la -X_ldns.a

override_dh_auto_test:
# tests in Makefile.in are not distributed
	:
